use `cdss`;
DROP TABLE IF EXISTS `tran_dept_config`;
DROP TABLE IF EXISTS `tran_drug_config`;
DROP TABLE IF EXISTS `tran_disease_config`;
DROP TABLE IF EXISTS `tran_lis_config`;
DROP TABLE IF EXISTS `tran_pacs_config`;
DROP TABLE IF EXISTS `tran_scale_config`;
DROP TABLE IF EXISTS `tran_nurse_config`;
DROP TABLE IF EXISTS `tran_operation_config`;
DROP TABLE IF EXISTS `tran_transfusion_config`;
DROP TABLE IF EXISTS `tran_tcmdisease_config`;
DROP TABLE IF EXISTS `tran_tcmsyndrome_config`;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 29/06/2021 13:55:24
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for tran_mapping_config
-- ----------------------------
-- 已执行脚本
-- DROP TABLE IF EXISTS `tran_mapping_config`;
-- CREATE TABLE `tran_mapping_config`  (
--   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
--   `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
--   `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
--   `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
--   `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
--   `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
--   `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
--   `type` int(4) NOT NULL COMMENT '医学术语类型（ 1-检验套餐、2-检验细项、3-辅检、4-诊断、5-药品、6-手术和操作、7-科室、8-输血、10-量表、11-护理、12-中医疾病、13-中医证候、14-麻醉）',
--   `his_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '医院术语名称',
--   `his_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医院术语编码',
--   `his_detail_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '医院术语细项名称（检验细项）',
--   `concept_id` bigint(20) NULL DEFAULT NULL COMMENT '医学标准术语id',
--   `form_concept_id` bigint(20) NULL DEFAULT NULL COMMENT '药品剂型id',
--   `is_match` int(4) NOT NULL DEFAULT 0 COMMENT '是否匹配（0-未匹配、1-已匹配）',
--   `source` int(4) NULL DEFAULT NULL COMMENT '数据来源（1-标准词、2-同义词、3-编码、4-历史数据、5-相似词、99-数据迁移）',
--   `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
--   PRIMARY KEY (`id`) USING BTREE,
--   INDEX `idx_his_detail_name`(`hospital_id`, `type`, `his_name`, `his_detail_name`) USING BTREE,
--   INDEX `idx_his_name`(`hospital_id`, `type`, `his_name`) USING BTREE,
--   INDEX `idx_concept_id`(`hospital_id`, `concept_id`) USING BTREE,
--   INDEX `idx_hospital_id`(`hospital_id`) USING BTREE,
--   INDEX `idx_detail_name`(`his_name`, `his_detail_name`) USING BTREE,
--   INDEX `idx_deleted_type`(`type`) USING BTREE,
--   INDEX `idx_type`(`hospital_id`, `type`, `is_deleted`) USING BTREE
-- ) ENGINE = InnoDB AUTO_INCREMENT = 797881 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '医学术语映射表' ROW_FORMAT = Dynamic;
--
-- SET FOREIGN_KEY_CHECKS = 1;
--