use `cdss`;

DROP TABLE IF EXISTS `tran_hospital_relation`;
CREATE TABLE `tran_hospital_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `code` varchar(255) NOT NULL DEFAULT '' COMMENT '子医院编码',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '子医院名称',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '父医院id',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code_name` (`code`,`name`) USING BTREE,
  KEY `name` (`name`) USING BTREE,
  KEY `hospital_id` (`hospital_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='医院关联表';