package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.TranLog;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.TranLogServiceImpl;
import com.diagbot.util.SysUserUtils;
import com.diagbot.vo.IdVO;
import com.diagbot.vo.TranLogPageVO;
import org.apache.commons.lang3.time.DateUtils;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/10/20 10:24
 */
@Component
public class TranLogFacade extends TranLogServiceImpl {
    public IPage<TranLog> pageList(TranLogPageVO tranLogPageVO) {
        String hospitalId = SysUserUtils.getCurrentHospitalID();
        tranLogPageVO.setHospitalId(Long.valueOf(hospitalId));
        if (tranLogPageVO.getStartGmtReq() != null && tranLogPageVO.getEndGmtReq() == null) {
            throw new CommonException(CommonErrorCode.PARAM_IS_NULL, "请输入完整时间区间");
        }
        if (tranLogPageVO.getStartGmtReq() == null && tranLogPageVO.getEndGmtReq() != null) {
            throw new CommonException(CommonErrorCode.PARAM_IS_NULL, "请输入完整时间区间");
        }
        if (tranLogPageVO.getStartGmtResp() != null && tranLogPageVO.getEndGmtResp() == null) {
            throw new CommonException(CommonErrorCode.PARAM_IS_NULL, "请输入完整时间区间");
        }
        if (tranLogPageVO.getStartGmtResp() == null && tranLogPageVO.getEndGmtResp() != null) {
            throw new CommonException(CommonErrorCode.PARAM_IS_NULL, "请输入完整时间区间");
        }

        if (tranLogPageVO.getEndGmtReq() != null) {
            DateUtils.addMinutes(tranLogPageVO.getEndGmtReq(), 1);
        }
        if (tranLogPageVO.getEndGmtResp() != null) {
            DateUtils.addMinutes(tranLogPageVO.getEndGmtResp(), 1);
        }

        IPage<TranLog> page = super.getPage(tranLogPageVO);
        return page;
    }

    /**
     * 获取单条记录
     * @param idVO
     * @return
     */
    public TranLog getRecordById(IdVO idVO) {
        return this.getById(idVO.getId());
    }
}