package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class DataEngineVO extends SearchData{

    @NotNull(message = "请输入方案编码")
    private String planCode;//方案编码，用于控制哪些展示项

    /**
     * 推理类型（1：症状，4：查体结果，5：检验，6：检查，7：诊断，8：药品，9：手术）
     */
    private String featureType = "";

    /**
     * 规则类型（1:危急值提醒，2:开单合理项，3:高危药品、手术，4:其他提醒）
     */
    private String ruleType = "";

    /**
     * 是否获取静态知识（0：不获取，1：获取）
     */
    @ApiModelProperty(hidden = true)
    private Integer getStaticKnowledge = 0;

    /**
     * 医院编码
     */
    private String hospitalCode;
    /**
     * 医院名称
     */
    private String hospitalName;
}
